#
# Iridium
# (idealized model of deployed 66-active-satellite contellation)
#
# $Id: iridium-66.tcl,v 1.4 2006/09/30 00:46:24 lloydwood Exp $

set SATS_PER_PLANE 11
set NUM_PLANES 6
set INTERPLANE_SPACING 31.6

# setup orbital elements
set a [expr 780.0+$RADIUS_OF_EARTH]
set e 0.0
set inc 86.4
set omega 0.0

set coverage_angle 8.2

# compute period of orbit
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]


satellites GV_BEGIN
for {set j 0} {$j < $NUM_PLANES} {incr j} {
	set Omega [expr $j * $INTERPLANE_SPACING]
	for {set i 0} {$i < $SATS_PER_PLANE} {incr i} {
		if { $j % 2 == 0} {
			set plane_offset 0
		} else {
			set plane_offset [expr $T_per / $SATS_PER_PLANE / 2.0]
		}
		set T [expr $T_per * $i / $SATS_PER_PLANE + $plane_offset]
		set n [satellites LOAD $a $e $inc $Omega $omega $T "Iridium ($j, $i)"]
		if {$i > 0} {satellites ORBIT_SET $n 0}
	}
}
satellites GV_END

