#
# Orblink
#
# based on slides in "Infrastructure on Demand" Giffin, Bravman, Fedak
#
# this script for SaVi 1.2, by Lloyd Wood (lloydwood@users.sourceforge.net)
# http://www.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/
#
# $Id: orblink.tcl,v 1.5 2006/09/30 00:46:24 lloydwood Exp $

set NUM_SATS 7

# setup orbital elements
set a [expr 9000+$RADIUS_OF_EARTH]
set e 0.0
set inc 0.0
set omega 0.0
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

# Elevation angle of ten degrees in presentation
set coverage_angle 10.0

satellites GV_BEGIN

set T [expr $T_per ]
for {set j 0} {$j < $NUM_SATS} {incr j} {
	set Omega [expr $j * 360.0 / $NUM_SATS]
	satellites LOAD $a $e $inc $Omega $omega $T "Orblink-$j"
}
satellites GV_END
