#
######################################################
#
#  SaVi by Lloyd Wood (lloydwood@users.sourceforge.net),
#          Patrick Worfolk (worfolk@alum.mit.edu) and
#          Robert Thurman.
#
#  Copyright (c) 1997 by The Geometry Center.
#  Also Copyright (c) 2008 by Lloyd Wood.
#
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained from:
#  http://savi.sourceforge.net/
#  http://www.geom.uiuc.edu/locate/SaVi
#
######################################################
#
# about.tcl
# $Id: about.tcl,v 1.18 2008/03/21 06:45:35 lloydwood Exp $

proc about(build) {} {
    if {[eval window(raise) about]} return

    set name [build_Toplevel about]

    wm protocol $name WM_DELETE_WINDOW about(dismiss)

    build_Title $name "about SaVi - satellite constellation visualization"

    build_DismissButtonbar $name dbbar about(dismiss)

    set cmd [build_CmdFrame $name cmd]

    build_Label $cmd l0 "SaVi"
    $cmd.l0.label configure -font *-times-medium-i-normal--*-240-*-*-*-*-*-* \
	-fg red
    build_Label $cmd l1 "Satellite Constellation Simulation and Visualization"
    $cmd.l1.label configure -font *-times-medium-i-normal--*-140-*-*-*-*-*-* \
	-fg blue
    pack $cmd.l0 $cmd.l1 -anchor n -ipadx 15m -ipady 2m

    build_Label $cmd l2 \
"A user manual is in SaVi's manual/ directory.


Originally created at The Geometry Center
by Patrick Worfolk and Robert Thurman.

Interval decay showing coverage movement
contributed by Gregory LaCoste.

Enhanced and maintained by Lloyd Wood.
http://info.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/
http://savi.sourceforge.net/


SaVi is free software. You may redistribute SaVi and/or modify
SaVi only under the terms that are given in the file COPYRIGHT,
which you should have received along with your copy of SaVi.

Copyright (c) 1995-1997 by The Geometry Center
http://www.geom.uiuc.edu/locate/SaVi

Also Copyright (c) 2001-2008 by Lloyd Wood.

This instance of SaVi obeyed the launch command:
[satellites COMMAND_LINE]

[satellites VERSION]
"

    pack $cmd.l2 -anchor n -ipadx 15m -ipady 2m

    pack $cmd -expand 1 -fill both
}

proc about(dismiss) {} {
    destroy .about
}
